<?xml version="1.0"?>
<api version="1.0">
	<namespace name="Cally">
		<function name="accessibility_init" symbol="cally_accessibility_init">
			<return-type type="gboolean"/>
		</function>
		<function name="get_cally_initialized" symbol="cally_get_cally_initialized">
			<return-type type="gboolean"/>
		</function>
		<callback name="CallyActionFunc">
			<return-type type="void"/>
			<parameters>
				<parameter name="cally_actor" type="CallyActor*"/>
			</parameters>
		</callback>
		<object name="CallyActor" parent="AtkGObjectAccessible" type-name="CallyActor" get-type="cally_actor_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<method name="add_action" symbol="cally_actor_add_action">
				<return-type type="guint"/>
				<parameters>
					<parameter name="cally_actor" type="CallyActor*"/>
					<parameter name="action_name" type="gchar*"/>
					<parameter name="action_description" type="gchar*"/>
					<parameter name="action_keybinding" type="gchar*"/>
					<parameter name="action_func" type="CallyActionFunc"/>
				</parameters>
			</method>
			<constructor name="new" symbol="cally_actor_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
			<method name="remove_action" symbol="cally_actor_remove_action">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="cally_actor" type="CallyActor*"/>
					<parameter name="action_id" type="gint"/>
				</parameters>
			</method>
			<method name="remove_action_by_name" symbol="cally_actor_remove_action_by_name">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="cally_actor" type="CallyActor*"/>
					<parameter name="action_name" type="gchar*"/>
				</parameters>
			</method>
			<vfunc name="add_actor">
				<return-type type="gint"/>
				<parameters>
					<parameter name="container" type="ClutterActor*"/>
					<parameter name="actor" type="ClutterActor*"/>
					<parameter name="data" type="gpointer"/>
				</parameters>
			</vfunc>
			<vfunc name="focus_clutter">
				<return-type type="gboolean"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
					<parameter name="data" type="gpointer"/>
				</parameters>
			</vfunc>
			<vfunc name="notify_clutter">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="GObject*"/>
					<parameter name="pspec" type="GParamSpec*"/>
				</parameters>
			</vfunc>
			<vfunc name="remove_actor">
				<return-type type="gint"/>
				<parameters>
					<parameter name="container" type="ClutterActor*"/>
					<parameter name="actor" type="ClutterActor*"/>
					<parameter name="data" type="gpointer"/>
				</parameters>
			</vfunc>
		</object>
		<object name="CallyClone" parent="CallyActor" type-name="CallyClone" get-type="cally_clone_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<constructor name="new" symbol="cally_clone_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
		</object>
		<object name="CallyGroup" parent="CallyActor" type-name="CallyGroup" get-type="cally_group_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<constructor name="new" symbol="cally_group_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
		</object>
		<object name="CallyRectangle" parent="CallyActor" type-name="CallyRectangle" get-type="cally_rectangle_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<constructor name="new" symbol="cally_rectangle_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
		</object>
		<object name="CallyRoot" parent="AtkGObjectAccessible" type-name="CallyRoot" get-type="cally_root_get_type">
			<constructor name="new" symbol="cally_root_new">
				<return-type type="AtkObject*"/>
			</constructor>
		</object>
		<object name="CallyStage" parent="CallyGroup" type-name="CallyStage" get-type="cally_stage_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<constructor name="new" symbol="cally_stage_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
			<signal name="activate" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="CallyStage*"/>
				</parameters>
			</signal>
			<signal name="create" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="CallyStage*"/>
				</parameters>
			</signal>
			<signal name="deactivate" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="CallyStage*"/>
				</parameters>
			</signal>
			<signal name="destroy" when="LAST">
				<return-type type="void"/>
				<parameters>
					<parameter name="object" type="CallyStage*"/>
				</parameters>
			</signal>
		</object>
		<object name="CallyText" parent="CallyActor" type-name="CallyText" get-type="cally_text_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
				<interface name="AtkText"/>
				<interface name="AtkEditableText"/>
			</implements>
			<constructor name="new" symbol="cally_text_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
		</object>
		<object name="CallyTexture" parent="CallyActor" type-name="CallyTexture" get-type="cally_texture_get_type">
			<implements>
				<interface name="AtkComponent"/>
				<interface name="AtkAction"/>
			</implements>
			<constructor name="new" symbol="cally_texture_new">
				<return-type type="AtkObject*"/>
				<parameters>
					<parameter name="actor" type="ClutterActor*"/>
				</parameters>
			</constructor>
		</object>
		<object name="CallyUtil" parent="AtkUtil" type-name="CallyUtil" get-type="cally_util_get_type">
		</object>
	</namespace>
</api>
